Sprints - Backlog Items API
Bu içerik henüz dilinizde mevcut değil.
List sprint backlog items
Заголовок раздела «List sprint backlog items»List all sprint backlog items for an account:
GET /sprints/:id/sprint_backlog_itemsResponse
Заголовок раздела «Response»Status: 200 OK[ { "id": 26, "position": 1, "estimate": 13, "created_at": "2022-10-06T04:48:56-05:00", "updated_at": "2022-10-06T04:48:56-05:00", "sprint": { "id": 566, "scrum_workspace": { "id": 1, "name": "Application Development", "nodeID": "..." }, "number": 2, "nodeID": "..." }, "nodeID": "...", "request": { "id": 70260, "subject": "Add ability to specify variance limits to the Quality Control application", "account": { "id": "ru-it", "name": "Widget N. America - IT" }, "nodeID": "..." } }, "..."]The response contains these fields by default. Filtering and pagination are available to reduce/limit the collection of sprint backlog items.
Collection Fields
Заголовок раздела «Collection Fields»By default the following fields will appear in collections of sprint backlog items:
id
position
estimate
sprint
created_at
updated_at
Obtain a different set of fields using the ?fields= parameter .
Filtering
Заголовок раздела «Filtering»Filtering is available for the following fields :
created_at
updated_at
Sorting
Заголовок раздела «Sorting»By default a collection of sprint backlog items is sorted
ascending
by
position
.
The following fields are accepted by the ?sort= parameter :
position
created_at
updated_at
Get a single sprint backlog item
Заголовок раздела «Get a single sprint backlog item»GET /sprints/:id/sprint_backlog_items/:idResponse
Заголовок раздела «Response»Status: 200 OK{ "position": 1, "estimate": 13, "created_at": "2022-10-06T04:48:56-05:00", "updated_at": "2022-10-06T04:48:56-05:00", "planned": false, "done": false, "nodeID": "...", "request": { "id": 70260, "subject": "Add ability to specify variance limits to the Quality Control application", "account": { "id": "ru-it", "name": "Widget N. America - IT" }, "nodeID": "..." }}The response contains these fields .
Update a sprint backlog item
Заголовок раздела «Update a sprint backlog item»PATCH /sprints/:id/sprint_backlog_items/:idWhen updating a sprint backlog item these fields are available.
Response
Заголовок раздела «Response»Status: 200 OK{ "created_at": "...", "...": "..."}The response contains all fields of the updated sprint backlog item and is similar to the response in Get a single sprint backlog item
created_at
Readonly datetime — The date and time at which the sprint backlog item was created.
id
Readonly integer — The unique ID of the sprint backlog item.
done
Readonly
boolean
— Whether this item has been completed in this sprint.
null
indicates the item was removed from the sprint.
estimate
Optional integer — Estimate of the relative size of this record on the sprint backlog.
planned
Readonly
boolean
, default:
false
— Whether this item was part of the sprint backlog when the sprint was started.
position
Optional integer — Position of this record on the sprint backlog. The top item has position 1.
problem
Readonly reference to Problem — The Problem field is filled for problems on the sprint backlog.
project_task
Readonly reference to Project Task — The Project Task field is filled for project tasks on the sprint backlog.
request
Readonly reference to Request — The Request field is filled for requests on the sprint backlog.
sprint
Readonly reference to Sprint — The sprint this backlog item is part of.
task
Readonly reference to Task — The Task field is filled for tasks on the sprint backlog.
updated_at
Readonly
datetime
— The date and time of the last update of the sprint backlog item. If the sprint backlog item has no updates it contains the
created_at
value.